Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367144 - python3-magic file() returnes b"b'ASCII text'"
Summary: python3-magic file() returnes b"b'ASCII text'"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: file
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-15 17:11 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2016-08-27 10:27 UTC (History)
2 users (show)

Fixed In Version: file-5.28-4.fc26 file-5.28-4.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 10:27:09 UTC


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2016-08-15 17:11:37 UTC
Description of problem:
$ python3 -c 'import magic; m=magic.open(magic.NONE); m.load(); print(m.file("/etc/fstab"))'
b"b'ASCII text'"

This seems doubly wrong.

It breaks diffoscope and probably any other users badly.

Version-Release number of selected component (if applicable):
python3-magic-5.28-3.fc25.noarch

How reproducible:
deterministic

Additional info:
It works fine in F24:
$ python3 -c 'import magic; m=magic.open(magic.NONE); m.load(); print(m.file("/etc/fstab"))'; rpm -q python3-magic
ASCII text
python3-magic-5.25-6.fc24.noarch

Python2 also works fine in F25/rawhide, so this is a python3-only issue.

Comment 1 Kamil Dudka 2016-08-17 07:22:21 UTC
upstream commit:
https://github.com/file/file/commit/73e043d2

Comment 2 Fedora Update System 2016-08-17 07:51:17 UTC
file-5.28-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-180a7eca23

Comment 3 Fedora Update System 2016-08-17 19:53:47 UTC
file-5.28-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-180a7eca23

Comment 4 Fedora Update System 2016-08-27 10:27:07 UTC
file-5.28-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.